osl::See Struct Reference

`#include <see.h>`

## Static Public Member Functions

static int | see (const NumEffectState &state, Move move, const PieceMask &my_pin=PieceMask(), const PieceMask &op_pin=PieceMask(), const PtypeEvalTable *table=0)
template<Player P>
static int | seeInternal (const NumEffectState &state, Move move, const PieceMask &my_pin, const PieceMask &op_pin, const PtypeEvalTable &table)
template<Player P>
static void | findEffectPieces (const NumEffectState &state, Square effect_to, PtypeOSquareVector &my_pieces, PtypeOSquareVector &op_pieces)
template<osl::Player P>
static void | findEffectPiecesAfterMove (const NumEffectState &state, Move move, PtypeOSquareVector &my_pieces, PtypeOSquareVector &op_pieces)
static void | findAdditionalPieces (const NumEffectState &state, Player attack, Square target, Square direct_attack_from, PtypeOSquareVector &out)
template<Player P>
static int | computeValue (const NumEffectState &state, Move move, PtypeOSquareVector &my_pieces, PtypeOSquareVector &op_pieces, const PieceMask &my_pin, const PieceMask &op_pin, const PtypeEvalTable &table)
| PtypeOSquareVector をもとに取り返し値を計算する

## Detailed Description

Definition at line 13 of file see.h.

## Member Function Documentation

## computeValue()

template<osl::Player P>

int osl::eval::See::computeValue | ( | const NumEffectState & | state,
|  | Move | move,
|  | PtypeOSquareVector & | my_pieces,
|  | PtypeOSquareVector & | op_pieces,
|  | const PieceMask & | my_pin,
|  | const PieceMask & | op_pin,
|  | const PtypeEvalTable & | table )

static

PtypeOSquareVector をもとに取り返し値を計算する

Parameters

  P | alt(P) からの取り返し
  target | ここに関する取り返し
  ptypeo | target にあると想定される駒

Definition at line 111 of file see.cc.

## findAdditionalPieces()

void osl::eval::See::findAdditionalPieces | ( | const NumEffectState & | state,
|  | Player | attack,
|  | Square | target,
|  | Square | direct_attack_from,
|  | PtypeOSquareVector & | out )

static

Definition at line 273 of file see.cc.

## findEffectPieces()

template<osl::Player P>

void osl::eval::See::findEffectPieces | ( | const NumEffectState & | state,
|  | Square | effect_to,
|  | PtypeOSquareVector & | my_pieces,
|  | PtypeOSquareVector & | op_pieces )

static

Definition at line 29 of file see.cc.

## findEffectPiecesAfterMove()

template<osl::Player P>

void osl::eval::See::findEffectPiecesAfterMove | ( | const NumEffectState & | state,
|  | Move | move,
|  | PtypeOSquareVector & | my_pieces,
|  | PtypeOSquareVector & | op_pieces )

static

Definition at line 65 of file see.cc.

## see()

int osl::eval::See::see | ( | const NumEffectState & | state,
|  | Move | move,
|  | const PieceMask & | my_pin = PieceMask(),
|  | const PieceMask & | op_pin = PieceMask(),
|  | const PtypeEvalTable * | table = 0 )

static

Definition at line 261 of file see.cc.

Referenced by osl::rating::Capture::see().

## seeInternal()

template<osl::Player P>

int osl::eval::See::seeInternal | ( | const NumEffectState & | state,
|  | Move | move,
|  | const PieceMask & | my_pin,
|  | const PieceMask & | op_pin,
|  | const PtypeEvalTable & | table )

static

Definition at line 237 of file see.cc.

The documentation for this struct was generated from the following files:

- see.h
- see.cc